%define module  Class-Std
%define name    perl-%{module}
%define release %mkrel 3
%define version 0.0.9

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Support for creating standard "inside-out" classes
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.gz
BuildRequires:      perl-Module-Build
BuildArch:          noarch
BuildRoot:          %{_tmppath}/%{name}-%{version}

%description
Support for creating standard "inside-out" classes

%prep
%setup -q -n %{module}-%{version}

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
perl Build.PL installdirs=vendor
./Build

%check
./Build test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class/Std*
%{_mandir}/*/*


%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9-3mdv2010.0
+ Revision: 430333
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.9-2mdv2009.0
+ Revision: 268400
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.9-1mdv2009.0
+ Revision: 195213
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 26 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> v0.0.8-1mdv2008.0
+ Revision: 31539
- add perl-version to BuildRequires to avoid tests to fail
- Import perl-Class-Std



* Tue May 22 2007 Shlomi Fish <shlomif@iglu.org.il> v0.0.8-1mdv2007.1
- Initial release.
